gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.FlowBoxChildAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype FlowBoxChildAccessible = FlowBoxChildAccessible (ManagedPtr FlowBoxChildAccessible)
- class (GObject o, IsDescendantOf FlowBoxChildAccessible o) => IsFlowBoxChildAccessible o
- toFlowBoxChildAccessible :: (MonadIO m, IsFlowBoxChildAccessible o) => o -> m FlowBoxChildAccessible

# Exported types

newtype FlowBoxChildAccessible Source #

Memory-managed wrapper type.

Constructors

FlowBoxChildAccessible (ManagedPtr FlowBoxChildAccessible) |

#### Instances

Instances details

Eq FlowBoxChildAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FlowBoxChildAccessible Methods (==) :: FlowBoxChildAccessible -> FlowBoxChildAccessible -> Bool Source # (/=) :: FlowBoxChildAccessible -> FlowBoxChildAccessible -> Bool Source #
GObject FlowBoxChildAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FlowBoxChildAccessible
ManagedPtrNewtype FlowBoxChildAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FlowBoxChildAccessible Methods toManagedPtr :: FlowBoxChildAccessible -> ManagedPtr FlowBoxChildAccessible Source #
TypedObject FlowBoxChildAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FlowBoxChildAccessible Methods glibType :: IO GType Source #
HasParentTypes FlowBoxChildAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FlowBoxChildAccessible
IsGValue (Maybe FlowBoxChildAccessible) Source # | Convert `FlowBoxChildAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.FlowBoxChildAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe FlowBoxChildAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe FlowBoxChildAccessible) Source #
type ParentTypes FlowBoxChildAccessible Source # |
Instance details Defined in GI.Gtk.Objects.FlowBoxChildAccessible type ParentTypes FlowBoxChildAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component]

class (GObject o, IsDescendantOf FlowBoxChildAccessible o) => IsFlowBoxChildAccessible o Source #

Type class for types which can be safely cast to `FlowBoxChildAccessible`, for instance with `toFlowBoxChildAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf FlowBoxChildAccessible o) => IsFlowBoxChildAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.FlowBoxChildAccessible

toFlowBoxChildAccessible :: (MonadIO m, IsFlowBoxChildAccessible o) => o -> m FlowBoxChildAccessible Source #

Cast to `FlowBoxChildAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.